(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: umatrix_index.ml,v 1.6 2014/05/06 12:56:19 fclement Exp $*)

(* The type of matrix indices. *)

module Nat = Unatural;;

type element = Nat.t * Nat.t;;
type index = element Uindex.t;;

let to_index = Uindex.to_t
and of_index = Uindex.of_t
;;

let of_natural = Uindex.of_natural
and to_natural = Uindex.to_natural
;;

let of_int = Uindex.of_int
and to_int = Uindex.to_int
;;

let _0_ = Uindex._0_
and _1_ = Uindex._1_
;;

let succ = Uindex.succ
and pred = Uindex.pred
;;
