/***********************************************************************/
/*                                                                     */
/*                              Ref-indic                              */
/*                                                                     */
/*                        Refinement indicators                        */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright (c) 2013-2014 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Hend Ben Ameur <hbenameur@yahoo.ca>                                */
/*  Francois Clement <Francois.Clement@inria.fr>                       */
/*  Pierre Weis <Pierre.Weis@inria.fr>                                 */
/*                                                                     */
/***********************************************************************/

/* $Id: worker_constants.h,v 1.9 2014/06/18 13:33:02 fclement Exp $ */

#ifndef _WORKER_CONSTANTS_H_
#define _WORKER_CONSTANTS_H_

#include "pio_user_constants.h"

#define WORKER_ZERO PIO_USER_ZERO
#define WORKER_ONE PIO_USER_ONE
#define WORKER_HALF PIO_USER_HALF

#define WORKER_MAX_MESSAGE_PREFIX_LENGTH PIO_USER_MAX_MESSAGE_PREFIX_LENGTH
#define WORKER_MAX_ERROR_MESSAGE_LENGTH PIO_USER_MAX_ERROR_MESSAGE_LENGTH

#define WORKER_STDERR PIO_USER_STDERR
#define WORKER_DEBUG PIO_USER_DEBUG
#define WORKER_REPORT PIO_USER_REPORT
#define WORKER_IOUNIT PIO_USER_IOUNIT

#define WORKER_MAX_DIMENSION 9
#define WORKER_MAX_DIMENSION_LEN 1
#define WORKER_MAX_DIMENSION_FMT i1

#define WORKER_MAX_SIZE 9999
#define WORKER_MAX_SIZE_LEN 4
#define WORKER_MAX_SIZE_FMT i4

#define WORKER_MAX_ZONE_NUMBER 99999
#define WORKER_MAX_ZONE_NUMBER_LEN 5
#define WORKER_MAX_ZONE_NUMBER_FMT i5

#define WORKER_MAX_FILE_NAME_LENGTH 99

#define DEBUG_FLOAT_FMT g12.5

#include "worker_error_codes.h"

#endif
